Qwt User's Guide: QwtHueColorMap Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtHueColorMap Class Reference

QwtHueColorMap varies the hue value of the HSV color model. More...

`#include <qwt_color_map.h>`

Inheritance diagram for QwtHueColorMap:

## Public Member Functions
| QwtHueColorMap (QwtColorMap::Format=QwtColorMap::RGB)
| Constructor.
virtual | ~QwtHueColorMap ()
| Destructor.
void | setHueInterval (int hue1, int hue2)
void | setSaturation (int saturation)
| Set the the saturation coordinate.
void | setValue (int value)
| Set the the value coordinate.
void | setAlpha (int alpha)
| Set the the alpha coordinate.
int | hue1 () const
int | hue2 () const
int | saturation () const
int | value () const
int | alpha () const
virtual QRgb | rgb (const QwtInterval &, double value) const override
Public Member Functions inherited from QwtColorMap
| QwtColorMap (Format=QwtColorMap::RGB)
virtual | ~QwtColorMap ()
| Destructor.
void | setFormat (Format)
virtual uint | colorIndex (int numColors, const QwtInterval &interval, double value) const
| Map a value of a given interval into a color index.
QColor | color (const QwtInterval &, double value) const
virtual QVector< QRgb > | colorTable (int numColors) const
virtual QVector< QRgb > | colorTable256 () const

## Additional Inherited Members
Public Types inherited from QwtColorMap
enum | Format { RGB , Indexed }
Public Attributes inherited from QwtColorMap
Format | const

## Detailed Description

QwtHueColorMap varies the hue value of the HSV color model.

QwtHueColorMap can be used to set up a color map easily, that runs cyclic over all colors. Each cycle has 360 different steps.

The values for value and saturation are in the range of 0 to 255 and doesn't depend on the data value to be mapped.

See also
  QwtSaturationValueColorMap

Definition at line 180 of file qwt_color_map.h.

## Constructor & Destructor Documentation

## ◆ QwtHueColorMap()

QwtHueColorMap::QwtHueColorMap | ( | QwtColorMap::Format | format = QwtColorMap::RGB | ) |
| explicit

Constructor.

The hue interval is initialized by 0 to 359. All other coordinates are set to 255.

Parameters

  format | Format of the color map

See also
  setHueInterval(), setSaturation(), setValue(), setValue()

Definition at line 723 of file qwt_color_map.cpp.

## ◆ ~QwtHueColorMap()

QwtHueColorMap::~QwtHueColorMap | ( |  | ) |
| virtual

Destructor.

Definition at line 730 of file qwt_color_map.cpp.

## Member Function Documentation

## ◆ alpha()

int QwtHueColorMap::alpha | ( |  | ) | const

Returns
  Alpha coordinate

See also
  setAlpha()

Definition at line 856 of file qwt_color_map.cpp.

## ◆ hue1()

int QwtHueColorMap::hue1 | ( |  | ) | const

Returns
  First hue coordinate

See also
  setHueInterval()

Definition at line 820 of file qwt_color_map.cpp.

## ◆ hue2()

int QwtHueColorMap::hue2 | ( |  | ) | const

Returns
  Second hue coordinate

See also
  setHueInterval()

Definition at line 829 of file qwt_color_map.cpp.

## ◆ rgb()

QRgb QwtHueColorMap::rgb | ( | const QwtInterval & | interval,
|  | double | value ) const
| overridevirtual

Map a value of a given interval into a RGB value

Parameters

  interval | Range for all values
  value | Value to map into a RGB value

Returns
  RGB value for value

Implements QwtColorMap.

Definition at line 869 of file qwt_color_map.cpp.

## ◆ saturation()

int QwtHueColorMap::saturation | ( |  | ) | const

Returns
  Saturation coordinate

See also
  setSaturation()

Definition at line 838 of file qwt_color_map.cpp.

## ◆ setAlpha()

void QwtHueColorMap::setAlpha | ( | int | alpha | ) |

Set the the alpha coordinate.

alpha needs to be in the range 0 to 255, where 255 means opaque and 0 means transparent.

Parameters

  alpha | Alpha coordinate

See also
  alpha()

Definition at line 805 of file qwt_color_map.cpp.

## ◆ setHueInterval()

void QwtHueColorMap::setHueInterval | ( | int | hue1,
|  | int | hue2 )

Set the interval for the hue coordinate

hue1/hue2 need to be positive number and can be > 360 to define cycles. F.e. 420 to 240 defines a map yellow/red/magenta/blue.

Parameters

  hue1 | First hue coordinate
  hue2 | Second hue coordinate

See also
  hue1(), hue2()

Definition at line 746 of file qwt_color_map.cpp.

## ◆ setSaturation()

void QwtHueColorMap::setSaturation | ( | int | saturation | ) |

Set the the saturation coordinate.

saturation needs to be in the range 0 to 255,

Parameters

  saturation | Saturation coordinate

See also
  saturation()

Definition at line 764 of file qwt_color_map.cpp.

## ◆ setValue()

void QwtHueColorMap::setValue | ( | int | value | ) |

Set the the value coordinate.

value needs to be in the range 0 to 255,

Parameters

  value | Value coordinate

See also
  value()

Definition at line 784 of file qwt_color_map.cpp.

## ◆ value()

int QwtHueColorMap::value | ( |  | ) | const

Returns
  Value coordinate

See also
  setValue()

Definition at line 847 of file qwt_color_map.cpp.